{% load staticfiles %}
{% load i18n %}

<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta name="robots" content="NONE,NOARCHIVE" />
    <title>{% block title %}{% endblock %}</title>

    <link rel="icon" type="image/ico" href="{% static '/img/zkicon.ico' %}">
    <link rel="stylesheet" type="text/css" href="{% static '/css/base.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static '/css/sf.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static '/css/pop_windous.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static '/jquery-easyui-1.5.4/themes/default/easyui.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static '/jquery-easyui-1.5.4/themes/icon.css' %}">
    <script type="text/javascript" src="{% static '/jquery-easyui-1.5.4/jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% static '/jquery-easyui-1.5.4/jquery.easyui.min.js' %}"></script>
    <!-- 分页跳转及搜索函数使用 -->
    <script type="text/javascript" src="{% static '/js/myjs.js' %}"></script>
    {% block head %}{% endblock %}
</head>

<body>
  <div id="container">
    <div id="header">
      <div id='branding'>
        <img style="float:left; height:35px; padding-left:30px;" src="{% static '/img/zklogo.png' %}" />
        <h1 id="site-name" style="float:left;">WDMS</h1>
        <span class="menu-center">
          <ul id="nav" class="nav" style="float:left; left:0px; z-index:1200;">
            <li>
              <a class="mainMenu" href="javascript:void(0);">Device</a>
              <ul style="width:172px;">
                {% if perms.device.browse_iclock %}
                <li style='width:170px'><a href="/device/iclock/">Device Management</a></li>
                {% endif %}
                {% if perms.device.browse_workcode %}
                <li style='width:170px'><a href="/device/workcode/">Work Code</a></li>
                {% endif %}
                <li style='width:170px'><a href="/device/monitor/">Realtime Monitor</a></li>
                <li style='width:170px'><a href="/device/advpic/">Advertisement Picture</a></li>
              </ul>
            </li>
            <li>
              <a class="mainMenu" href="javascript:void(0);">Data</a>
              <ul style="width:110px;">
                {% if perms.data.browse_area %}
                <li style="width:108px;"><a href="/data/area/">Area</a></li>
                {% endif %}
                {% if perms.data.browse_department %}
                <li style="width:108px;"><a href="/data/department/">Department</a></li>
                {% endif %}
                {% if perms.data.browse_employee %}
                <li style="width:108px;"><a href="/data/employee/">Personnel</a></li>
                {% endif %}
                {% if perms.data.browse_transaction %}
                <li style="width:108px;"><a href="/data/transaction/">Transaction</a></li>
                {% endif %}
                <!-- <li ><a href="/data/client/">Client</a></li> -->
                {% if perms.data.browse_backupdb %}
                <li style="width:108px;"><a href="/data/backupdb/">Database</a></li>
                {% endif %}
                <!-- <li ><a href="/data/importEmp">Import Employee</a></li> -->
                <li style="width:108px;"><a href="/data/migration/">Migration</a></li>
              </ul>
            </li>
            <li>
              <a class="mainMenu" href="javascript:void(0);">Log</a>
              <ul style="width:182px;">
                <!--
                <li ><a href="/log/oplog/">Device Operation</a></li>
                <li ><a href="/log/devlog/">Device Data</a></li>
                -->
                {% if perms.log.browse_adminlog %}
                <li style='width:180px'><a href="/log/adminlog/"> Administration Log</a></li>
                {% endif %}
                {% if perms.log.browse_backupdblog %}
                <li style='width:180px'><a href="/log/backupdblog/">Database Backup Log</a></li>
                {% endif %}
                {% if perms.log.browse_workcode_2_dev %}
                <li style='width:180px'><a href="/log/workcode_2_dev/">Work Code Transfer Log</a></li>
                {% endif %}
              </ul>
            </li>
            <li>
              <a class="mainMenu" href="javascript:void(0);">System</a>
              <ul style="width:160px;">
                {% if perms.data.browse_company %}
                <li ><a href="/data/company/">Company</a></li>
                {% endif %}
                {% if perms.auth.browse_group %}
                <li ><a href="/authentication/group/">Role Management</a></li>
                {% endif %}
                {% if perms.auth.browse_user %}
                <li ><a href="/authentication/user/">User Management</a></li>
                {% endif %}
                {% if perms.license %}
                <li ><a href="/license/">License</a></li>
                {% endif %}
              </ul>
            </li>
          </ul>
        </span>
      </div>

      <em style="float:right; font-size:14px;padding-top: 12px; padding-right: 140px;">Welcome, {{ user.username }}.</em>
      <div id="user-tools">
        <span>
          <a title="Change Password" href="{% url 'change_password' %}">
            <img border="0" align="top" src="{% static 'img/change_password.png' %}" onmouseout="$(this).attr('src','/static/img/change_password.png')" onmouseover="$(this).attr('src','/static/img/change_password1.png')">
          </a>
          <a title="User" href="/authentication/user/{{ user.id }}">
            <img border="0" align="top" src="{% static 'img/me.png' %}" onmouseout="$(this).attr('src','/static/img/me.png')" onmouseover="$(this).attr('src','/static/img/me1.png')">
          </a>
          <a title="Log Out" href="{% url 'logout' %}">
            <img title="Log Out" src="{% static 'img/logout.png' %}" onmouseout="$(this).attr('src','/static/img/logout.png')" onmouseover="$(this).attr('src','/static/img/logout1.png')">
          </a>
        </span>
      </div>
    </div>


    {% if messages %}
    <ul class="messagelist">
        {% for message in messages %}
        <li>{{ message|escape }}</li>
        {% endfor %}
    </ul>
    {% endif %}
  </div>

  <div style='padding:10px'>
   {% block content %}{% endblock content %}
  </div>
  <br><br>
  <div class="footer">
    <a href="">Version: {{ WDMS_VSERSION }}</a>
    <br><br>
    <a href='http://www.zkteco.com/'>
        Copyright © 2018 ZKTECO CO.,LTD. All rights reserved.
    </a>
  </div>
  <!-- 这是一个隐藏弹窗，使用js调用 -->
  <div id='mask' class='mask' style="display: none"></div>
  <div id="pop_window" style="display: none">
    <div id="pop_window_title">
      <h>Title</h>
      <a href="javascript:void(0)" title="Close Window" class="close_btn" id="closeBtn">×</a>
    </div>
    <div id="pop_window_content" style="width: 100%; height: 100%">
    </div>
  </div>
</body>
</html>
